Subject: RE: Consensus on direction needed (was Re: [Sip] Re: draft-ietf-s ip-congestsafe-02.txt)]

From: "Peterson, Jon" <[email-masked]>
Date: Fri, 7 Nov 2003 02:01:24 -0600

> Here's the deal. Before long, EVERY e2e-secured SIP request or response
> is going to be bigger than one packet. The security people aren't going
> to give up on e2e.

It would be nice if the security people could find an e2e solution better
suited to SIP's needs, then, I gather.

> This gives us two viable alternatives, as I see them:
> 
> 1) Deprecate UDP usage in SIP.
> 
> 2) Deprecate SIP.
> 
> Since #2 would leave me unemployed :-(, the question I'm interested is
> how to do #1.
> 
> Three possibilities suggest themselves, and I'd like to get a sense of
> consensus from the group on the direction (or other suggestions, if
> there are any).
> 
> 1) Leave the UDP stuff in place, but convince people not to use it by
> doing a "UDP Considered Harmful for SIP" BCP,  (which Scott seems to be
> suggesting). 
> 
> 2) Leave the UDP stuff in place, but give people tools to keep it from
> being used (which this draft suggests).
> 
> 3) Rev the spec to 3.0 and rip UDP out by the toenails.
> 

I'm afraid I remain closest to option 3, though this particular motivation
is far from my main reason reason for feeling so.

Jon Peterson
NeuStar, Inc.

> Any other ideas? What is the right thing to do here?
> 
> --
> Dean
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip